GetbeelDocs

List saved items, by name

GET
/items

Autorizzazione

apiKey
headerAuthorizationBearer <token>

API key: gb_test_… or gb_live_…

Parametri query

search?string

Part of the item name, case-insensitive

Lengthlength <= 100
include_archived?string
Value in"true""false"
limit?integer

How many items to return, 1–200 (default 200)

Range1 <= value <= 200
Default200
Getbeel-Company?string

Act on one of the account's client companies (its id from GET /companies) instead of the key's own account. 404 company_not_found when the key cannot act on it.

Formatuuid

Corpo della risposta

OK

application/json
  1. response
object*string
data*array<>
has_more*boolean
next_cursor*string|null
Esempio di richiesta
curl -X GET 'https://www.getbeel.com/api/v1/items'
Esempio di risposta
{  "object": "list",  "data": [    {      "object": "item",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "livemode": true,      "name": "string",      "description": "string",      "code": "string",      "unit_price": 0,      "unit": "ore",      "vat_rate": 0,      "natura": "string",      "archived": true,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "has_more": true,  "next_cursor": "string"}